﻿<Graph ClassName="EPApprovalMapMaintExtPB" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data;
using PX.SM;
using PX.TM;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using PX.Common;
using PX.Objects;
using PX.Objects.EP;
using PX.Data.BQL;
using PX.Data.BQL.Fluent;

namespace PX.Objects.EP
{
  public class EPApprovalMapMaintExtPB : PXGraphExtension<EPApprovalMapMaint>
  {
        #region Event Handlers

        public delegate IEnumerable<String> GetEntityTypeScreensDelegate();
        [PXOverride]
        public IEnumerable<String> GetEntityTypeScreens(GetEntityTypeScreensDelegate baseMethod)
        {
            return new string[]
            {
                "AP301000",//Bills and Adjustments
                "AP302000",//Checks and Payments
                "AP304000",//Quick Checks
                "AR302000",//Payments and Applications
                "AR304000",//Cash Sales
                "CA304000",//Cash Transactions
                "EP305000",//Employee Time Card
                "EP308000",//Equipment Time Card
                "EP301000",//Expense Claim
                "EP301020",//Expense Receipt
                "PM301000",//Projects
                "PM307000",//Proforma
                "PM308000",//Change Order
                "PO301000",//Purchase Order
                "RQ301000",//Purchase Request
                "RQ302000",//Purchase Requisition
                "SO301000",//Sales Order
                "CR304500",//Quote
                "PB301000" //Partial Bidding
            };

            //return baseMethod();

        }

        #endregion
    }
}]]></CDATA>
</Graph>